## libffi6 3.2.1

=== debian/changelog ===
libffi6 (3.2.1-9+rpi1) bullseye-staging; urgency=medium

  * Rename source package and dev package to allow coexistence with libffi7

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 06 Feb 2020 17:25:26 +0000

libffi (3.2.1-9) unstable; urgency=medium

  * Add home page attribute to the control file. Closes: #816317.
  * riscv64 backport. Closes: #914442.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Nov 2018 11:52:58 +0100

libffi (3.2.1-8) unstable; urgency=medium

  * More mips r6 updates (YunQiang Su). Closes: #886201.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jan 2018 10:39:08 +0100

libffi (3.2.1-7) unstable; urgency=medium

  * mips/n32.S: disable .set mips4 on mips r6 (YunQiang Su).

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2017 14:28:54 +0100

libffi (3.2.1-6) unstable; urgency=medium

  * Revert the AArch64 patch from 3.2.1-5.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Sep 2016 19:11:42 +0200

libffi (3.2.1-5) unstable; urgency=medium

  * AArch64, tidy up abi manipulation. Taken from the trunk.
  * Backports from trunk (Stefan Bühler):
    - Always check for PaX MPROTECT on linux, make EMUTRAMP experimental.
    - dlmmap_locked always needs locking as it always modifies execsize.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Sep 2016 14:18:21 +0200

libffi (3.2.1-4) unstable; urgency=medium

  * Fix CCASFLAGS. Closes: #787071.
  * Build using dh-autoreconf. Closes: #803039.
  * Configure with --enable-pax_emutramp. Closes: #751907.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Dec 2015 19:05:27 +0100

libffi (3.2.1-3) unstable; urgency=medium

  * Update symbols files.
  * Fix build failure on alpha.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 12:54:12 +0200

libffi (3.2.1-2) experimental; urgency=medium

  * Fix an AArch64 issue, taken from upstream:
    For any 1-16 byte structure not passed in registers, we weren't copying
    from the object to be passed, but from the array of objects.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Feb 2015 04:04:10 +0100

libffi (3.2.1-1) experimental; urgency=medium

  * libffi 3.2.1 release.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Nov 2014 16:59:48 +0100

libffi (3.1-2) unstable; urgency=medium

  * Fix HAVE_LONG_DOUBLE_VARIANT conditional in the ffi.h header.
  * Fail the build if the testsuite doesn't pass. Closes: #597919.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jun 2014 15:23:33 +0200

libffi (3.1-1) unstable; urgency=medium

  * libffi 3.1 release.
  * Update symbols file for ppc64. Closes: #736344.

 -- Matthias Klose <doko@debian.org>  Fri, 30 May 2014 14:10:15 +0200

libffi (3.1~rc1-2) unstable; urgency=medium

  * Update symbols file for armel and armhf.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Mar 2014 13:51:48 +0100

libffi (3.1~rc1-1) unstable; urgency=medium

  * libffi 3.1 release candidate 1.
  * Update symbols file for ppc64. Closes: #736344.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Mar 2014 11:32:39 +0100

libffi (3.0.14~rc0-1) experimental; urgency=medium

  * libffi 3.0.14 release candidate 1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Mar 2014 10:46:40 +0100

libffi (3.0.13-12) unstable; urgency=medium

  * armhf: Fix ffi_call_VFP with no VFP arguments (Will Newton).

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jan 2014 17:19:04 +0100

libffi (3.0.13-11) unstable; urgency=medium

  * Fix call frame information in ffi_closure_SYSV on AArch64, patch
    provided by Linaro.
  * Add symbols file for ppc64el.
  * Stop building the multilib packages.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jan 2014 13:21:39 +0100

libffi (3.0.13-10) unstable; urgency=low

  * Fix powerpc symbols files for the biarch builds.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2013 22:16:31 +0100

libffi (3.0.13-9) unstable; urgency=low

  * Remove private symbols in all the powerpc symbols files. Closes: #730590.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2013 15:37:17 +0000

libffi (3.0.13-8) unstable; urgency=low

  * Regenerate the autotools files.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2013 07:30:23 +0100

libffi (3.0.13-7) unstable; urgency=low

  * Updated the powerpc ABIv2 support.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Nov 2013 13:01:05 +0100

libffi (3.0.13-6) unstable; urgency=low

  * Add symbols file for powerpcspe. Closes: #730021.
  * Don't apply the powerpc ABIv2 patch for now. Closes: #730020.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Nov 2013 10:17:22 +0100

libffi (3.0.13-5) unstable; urgency=low

  * Add a stage1 build profile (Daniel Schepler). Closes: #709627.
  * Backport powerpc ABIv2 support from the trunk (Alan Modra).

 -- Matthias Klose <doko@debian.org>  Mon, 18 Nov 2013 09:20:37 +0100

libffi (3.0.13-4) unstable; urgency=medium

  * Fix symbols file for s390x.

 -- Matthias Klose <doko@debian.org>  Fri, 10 May 2013 17:24:46 +0200

libffi (3.0.13-3) unstable; urgency=low

  * Upload to unstable. Closes: #667906.
  * Use multiarch tuples for the non-default biarch installs.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2013 17:47:22 +0200

libffi (3.0.13-2) experimental; urgency=low

  * Fix wheezy build on i386.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Mar 2013 17:44:41 -0700

libffi (3.0.13-1) experimental; urgency=low

  * libffi 3.0.13 release.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Mar 2013 16:09:48 -0700

libffi (3.0.12-1) experimental; urgency=low

  * libffi 3.0.12 release.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Feb 2013 22:04:02 +0100

libffi (3.0.12~rc3-1) experimental; urgency=low

  * libffi 3.0.12 release candidate 3.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Feb 2013 22:31:36 +0100

libffi (3.0.12~rc2-1) experimental; urgency=low

  * libffi 3.0.12 release candidate 2.
  * Update symbols files for ARM, alpha and m68k.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Feb 2013 05:11:55 +0100


