=== debian/control ===
Source: libffi6
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  libltdl-dev,
  dejagnu,
  texinfo
Standards-Version: 4.2.1
Section: libs
Homepage: https://sourceware.org/libffi/

Package: libffi6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libffi6 (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Conflicts: libffi4-dev, libffi-dev
Description: Foreign Function Interface library (development files)
 This package contains the headers and static library files necessary for
 building programs which use libffi.
 .
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libffi6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libffi6-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: libffi6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime (debug symbols)
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libffi6-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.
